SystemOrganization addCategory: #'PharOffice-Writer'!
SystemOrganization addCategory: #'PharOffice-Tools'!
SystemOrganization addCategory: #'PharOffice-Spreadsheet'!
SystemOrganization addCategory: #'PharOffice-Presenter'!
SystemOrganization addCategory: #'PharOffice-Email'!

Object subclass: #POEMenuBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Email'!

Object subclass: #POEToolBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Email'!

Object subclass: #POEWindow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Email'!

Object subclass: #POEmail
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Email'!

Object subclass: #POPMenuBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Presenter'!

Object subclass: #POPToolBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Presenter'!

Object subclass: #POPWindow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Presenter'!

Object subclass: #POPresenter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Presenter'!

Object subclass: #POSMenuBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Spreadsheet'!

Object subclass: #POSToolBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Spreadsheet'!

Object subclass: #POSWindow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Spreadsheet'!

Object subclass: #POSpreadSheet
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Spreadsheet'!

Object subclass: #POTFileManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Tools'!

Object subclass: #POTFonts
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Tools'!

Object subclass: #POTXMLParser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Tools'!

Object subclass: #POWMenuBar
	instanceVariableNames: 'myFileBar myEditBar myViewBar myOptionsBar myHelpBar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Writer'!

!POWMenuBar methodsFor: 'as yet unclassified' stamp: 'dusty 6/24/2012 22:15'!
initialize
	super initialize.
	myFileBar := MenuMorph entitled: 'File'.
	myEditBar := MenuMorph entitled: 'Edit'.
	myViewBar := MenuMorph entitled: 'View'.
	myOptionsBar:= MenuMorph entitled: 'Options'.
	myHelpBar := MenuMorph entitled: 'Help'.! !

Object subclass: #POWToolBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Writer'!

Object subclass: #POWWindow
	instanceVariableNames: 'aWindow window myMenus myFileBar myEditBar myViewBar myOptionsBar myHelpBar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Writer'!

!POWWindow methodsFor: 'as yet unclassified' stamp: 'dusty 6/24/2012 22:25'!
initialize
	self textArea.
	self menu.
	myMenus := POWMenuBar new initialize.
	aWindow := self window.
	aWindow openInWorld.! !

!POWWindow methodsFor: 'as yet unclassified' stamp: 'dusty 6/24/2012 22:25'!
menu
	myFileBar := MenuMorph entitled: 'File'.
	myEditBar := MenuMorph entitled: 'Edit'.
	myViewBar := MenuMorph entitled: 'View'.
	myOptionsBar:= MenuMorph entitled: 'Options'.
	myHelpBar := MenuMorph entitled: 'Help'.
	self window addMorph: myMenus frame: (0@0 corner: 0.1@0.05).
	self window addMorph: myMenus frame: (0@0 corner: 0.2@0.05).
	self window addMorph: myMenus frame: (0@0 corner: 0.3@0.05).
	self window addMorph: myMenus frame: (0@0 corner: 0.4@0.05).
	self window addMorph: myMenus frame: (0@0 corner: 0.5@0.05).! !

!POWWindow methodsFor: 'as yet unclassified' stamp: 'dusty 6/24/2012 22:06'!
textArea
	|aMorph aTextMorph|
	aMorph := PluggableTextMorph new.
	aMorph setText: ''.
	self window addMorph: aMorph frame: (0@0.1 corner: 1@1)! !

!POWWindow methodsFor: 'as yet unclassified' stamp: 'dusty 6/24/2012 22:02'!
window
	^ window
		ifNil: [window := StandardWindow labelled: 'PharOffice Writer']! !

Object subclass: #POWriter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharOffice-Writer'!
